Bug 224591 - USES=compiler:c++14-lang update Clang to 5.0
Summary: USES=compiler:c++14-lang update Clang to 5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on: 218273 224917
Blocks: 224617 224619 224622 224652 224657 227679
  Show dependency treegraph
 
Reported: 2017-12-26 01:39 UTC by Jan Beich
Modified: 2018-04-22 05:46 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v0 (609 bytes, patch)
2017-12-26 01:39 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-12-26 01:39:07 UTC
Created attachment 189103 [details]
v0

Now that Mesa ports have switched to LLVM 5.0 let's follow the suit for Clang on FreeBSD 10.*.
Comment 1 Antoine Brodin freebsd_committer 2017-12-27 09:35:31 UTC
Exp-run looks fine.

Approved.
Comment 2 commit-hook freebsd_committer 2017-12-27 10:42:22 UTC
A commit references this bug:

Author: jbeich
Date: Wed Dec 27 10:41:30 UTC 2017
New revision: 457360
URL: https://svnweb.freebsd.org/changeset/ports/457360

Log:
  Update USES=compiler:c++14-lang to Clang 5.0 on FreeBSD 10

  PR:		224591
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Uses/compiler.mk